Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003214 [DCSS] Patches feature always 2011-01-15 03:03 2011-02-15 06:07
Reporter Kate View Status public  
Assigned To Kate
Priority normal Resolution done  
Status closed   Product Branch 0.8 ancient branch
Summary 0003214: Make summon butterflies reliant on spell power
Description Summon butterflies currently always summons at least 15 butterflies, regardless of spell power.
This patch changes it to be able to summon 15 at most, with only 3-6 at low spell power, reaching 10-15 at moderate to high spell power.

This is fairly conservative but at least it should prevent players being able to get 15 meatshields for 1 MP and no skill investment.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Fewer-butterflies-with-low-spell-power.patch [^] (1,028 bytes) 2011-01-15 03:03 [Show Content]

- Relationships

-  Notes
(0010482)
KiloByte (manager)
2011-01-15 03:08

I don't think that requiring 27 Summ for a level 1 spell to work well is a good idea. Most other spells have a power cap of 50.
(0010484)
Kate (developer)
2011-01-15 04:08
edited on: 2011-01-15 04:08

I'd argue that, say, 5-10 butterflies (which would still require only a little summoning skill) is perfectly useful (and exactly as overpowered as 15 butterflies, if you're in a corridor). Also, nothing's stopping you casting it more than once.

Capping the power so that more than 50 power wouldn't give any additional benefit would also be reasonable, though, sure.

(0010524)
evktalo (administrator)
2011-01-18 21:25

I like! Requiring more castings sounds good to me.

--Eino
(0010932)
evktalo (administrator)
2011-02-05 15:47

Let's see this in master already. :)

--Eino
(0010937)
Kate (developer)
2011-02-05 18:14

Thanks for the reminder, done!

- Issue History
Date Modified Username Field Change
2011-01-15 03:03 Kate New Issue
2011-01-15 03:03 Kate File Added: 0001-Fewer-butterflies-with-low-spell-power.patch
2011-01-15 03:08 KiloByte Note Added: 0010482
2011-01-15 04:08 Kate Note Added: 0010484
2011-01-15 04:08 Kate Note Edited: 0010484
2011-01-18 21:25 evktalo Note Added: 0010524
2011-02-05 15:47 evktalo Note Added: 0010932
2011-02-05 18:14 Kate Note Added: 0010937
2011-02-05 18:14 Kate Status new => resolved
2011-02-05 18:14 Kate Fixed in Branch => 0.8 development branch
2011-02-05 18:14 Kate Resolution open => done
2011-02-05 18:14 Kate Assigned To => Kate
2011-02-15 06:07 Kate Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker